import { ObjectLike, ObjectFilter, ObjectMapper, PickOmit } from './types.js';
export { default as any } from './any.js';
export { default as count } from './count.js';
export { default as countBy } from './countBy.js';
export { default as every } from './every.js';
export { default as fromPairs } from './fromPairs.js';
export { default as isPlainObject } from './isPlainObject.js';
export { default as map } from './map.js';
export { default as mapValues } from './mapValues.js';
export { default as omit } from './omit.js';
export { default as omitBy } from './omitBy.js';
export { default as omitNull } from './omitNull.js';
export { default as pad } from './pad.js';
export { default as pick } from './pick.js';
export { default as pickBy } from './pickBy.js';
export { default as set } from './set.js';
export { default as setProps } from './setProps.js';

declare const _default: {
    any: <T>(object: ObjectLike<T>, filter: ObjectFilter<T>) => boolean;
    countBy: <T_1>(object: ObjectLike<T_1>, mapper?: ObjectMapper<T_1>) => ObjectLike<number>;
    count: <T_2>(object: ObjectLike<T_2>, filter: ObjectFilter<T_2>) => number;
    every: <T_3>(object: ObjectLike<T_3>, filter: ObjectFilter<T_3>) => boolean;
    fromPairs: (array: [string, any][]) => Record<string, any>;
    isPlainObject: (o: any) => boolean;
    map: <T_4>(object: ObjectLike<T_4>, mapper?: ObjectMapper<T_4>) => T_4[];
    mapValues: <T_5>(object: ObjectLike<T_5>, mapper?: ObjectMapper<T_5>) => ObjectLike<T_5>;
    omit: PickOmit;
    omitBy: <T_6>(object: ObjectLike<T_6>, filter: ObjectFilter<T_6>) => ObjectLike<T_6>;
    omitNull: <T_7>(object: ObjectLike<T_7>, filter?: ObjectFilter<T_7>) => ObjectLike<T_7>;
    pad: (string: string, width?: number, fillString?: string) => string;
    pick: <T_8>(object: ObjectLike<T_8>, fields: string[]) => ObjectLike<T_8>;
    pickBy: <T_9>(object: ObjectLike<T_9>, filter: ObjectFilter<T_9>) => ObjectLike<T_9>;
    setProps: <T_10>(object: T_10, ...propsArray: Record<string, unknown>[]) => T_10;
};

export { _default as default };
